Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.factory
Class InMemorySessionFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.factory.InMemorySessionFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.SessionFactory

    public class InMemorySessionFactory

extends Object
implements org.kie.internal.runtime.manager.SessionFactory

SessionFactory implementation backed with in memory store of used sessions. Does not preserve the state between server restarts or even `RuntimeManager` close. For more permanent store `JPASessionFactory` should be used

See Also:
  `JPASessionFactory`

Constructor Summary
`InMemorySessionFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`

Method Summary
`void` | `close()`
`KieSession` | `findKieSessionById(Integer sessionId)`
`KieSession` | `newKieSession()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemorySessionFactory

    public InMemorySessionFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

Method Detail

### newKieSession

    public KieSession newKieSession()

  Specified by:
    `newKieSession` in interface `org.kie.internal.runtime.manager.SessionFactory`

### findKieSessionById

    public KieSession findKieSessionById(Integer sessionId)

  Specified by:
    `findKieSessionById` in interface `org.kie.internal.runtime.manager.SessionFactory`

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.SessionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.